Bug 172212 - CVE-2005-3388 PHP phpinfo() XSS attack
Summary: CVE-2005-3388 PHP phpinfo() XSS attack
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: impact=low,public=20051031,source=ful...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-01 16:27 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-838
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-10 19:17:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:831 normal SHIPPED_LIVE Moderate: php security update 2005-11-10 05:00:00 UTC
Red Hat Product Errata RHSA-2005:838 normal SHIPPED_LIVE Moderate: php security update 2005-11-10 05:00:00 UTC

Description Josh Bressers 2005-11-01 16:27:04 UTC
Cross-site scripting (XSS) vulnerability in the phpinfo function in PHP 4.x up
to 4.4.0 and 5.x up to 5.0.5 allows remote attackers to inject arbitrary web
script or HTML via a crafted URL with a "stacked array assignment."

http://www.hardened-php.net/advisory_182005.77.html

This issue should also affect RHEL2.1 and RHEL3

Comment 1 Josh Bressers 2005-11-04 11:56:28 UTC
A POC for this issue has been posted to full-disclosure:
http://marc.theaimsgroup.com/?l=full-disclosure&m=113110346903765&w=2

phpinfo.php?GLOBALS[test]=<script>alert(document.cookie);</script>

Comment 2 Red Hat Bugzilla 2005-11-10 19:07:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-831.html


Comment 3 Red Hat Bugzilla 2005-11-10 19:17:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-838.html



Note You need to log in before you can comment on or make changes to this bug.